Subject: Re: [PATCH 1/3] ASoC: xlnx: add Xilinx logicPD-I2S FPGA IP support

From: Miquel Raynal <[email-masked]>
Date: Mon, 2 Sep 2019 22:21:11 +0200

Hi Michal,

Michal Simek <[email-masked]> wrote on Mon, 2 Sep 2019
09:39:11 +0200:

> Hi Miquel
> 
> On 30. 08. 19 23:06, Miquel Raynal wrote:
> > This IP is very simple so this driver manage both the DAI and the PCM
> > streams, hence the presence of both components in this driver.
> > 
> > There are plenty available interruptions when capturing or playing
> > back audio that can be triggered but the only one that fits the ALSA
> > sound system is the XFER_DONE which is used to bound sound
> > periods. Other interrupts are masked. Please note that capture and
> > playback are not possible at the same time though.
> > 
> > Capture seems to work (at least it creates a file with something
> > inside) but I have no capture mechanism on the board to actually test
> > that it works correctly.
> > 
> > Signed-off-by: Miquel Raynal <[email-masked]>
> > ---
> > 
> > Hello,
> > 
> > This is my first contribution in the sound subsystem, I hope I've
> > understood the core but I might be entirely wrong as well, so please
> > do not hesitate to be critical on my choices.
> > 
> > Thanks,
> > Miquèl
> > 
> >  sound/soc/xilinx/Kconfig            |   7 +
> >  sound/soc/xilinx/Makefile           |   2 +
> >  sound/soc/xilinx/xlnx-logicpd-i2s.c | 468 ++++++++++++++++++++++++++++  
> 
> What IP is this?
> https://www.xilinx.com/products/intellectual-property/audio-i2s.html
> 
> https://github.com/Xilinx/linux-xlnx/blob/master/sound/soc/xilinx/xlnx_i2s.c
> 
> Anyway I am adding Praveen and Maruthi to take a look.

Actually I have been tricked by a datasheet with the wrong title: this
is a LogicPD IP, it is not from Xilinx. I will resubmit with a new
driver name/compatible and add the relevant people.

Thanks,
Miquèl

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel